import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# todo list list

Returns a list of Microsoft To Do task lists

## Usage

```sh
m365 todo list list [options]
```

## Options

<Global />

## Examples

Get the list of Microsoft To Do task lists

```sh
m365 todo list list
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  [
    {
      "displayName": "Tasks",
      "isOwner": true,
      "isShared": false,
      "wellknownListName": "defaultList",
      "id": "AQMkAGYzNjMxYTU4LTJjZjYtNDlhMi1iMzQ2LWVmMTU3YmUzOGM5MAAuAAADMN-7V4K8g0q_adetip1DygEAxMBBaLl1lk_dAn8KkjfXKQAAAgESAAAA"
    }
  ]
  ```

  </TabItem>
  <TabItem value="Text">

  ```text
  displayName     id                                                                                                      
  --------------  ------------------------------------------------------------------------------------------------------------------------
  Tasks           AQMkAGYzNjMxYTU4LTJjZjYtNDlhMi1iMzQ2LWVmMTU3YmUzOGM5MAAuAAADMN-7V4K8g0q_adetip1DygEAxMBBaLl1lk_dAn8KkjfXKQAAAgESAAAA
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  displayName,id
  Tasks,AQMkAGYzNjMxYTU4LTJjZjYtNDlhMi1iMzQ2LWVmMTU3YmUzOGM5MAAuAAADMN-7V4K8g0q_adetip1DygEAxMBBaLl1lk_dAn8KkjfXKQAAAgESAAAA
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # todo list list

  Date: 25/5/2023

  ## Tasks (AQMkAGYzNjMxYTU4LTJjZjYtNDlhMi1iMzQ2LWVmMTU3YmUzOGM5MAAuAAADMN-7V4K8g0q_adetip1DygEAxMBBaLl1lk_dAn8KkjfXKQAAAgESAAAA)
  
  Property | Value
  ---------|-------
  displayName | Tasks
  isOwner | true
  isShared | false
  wellknownListName | defaultList
  id | AQMkAGYzNjMxYTU4LTJjZjYtNDlhMi1iMzQ2LWVmMTU3YmUzOGM5MAAuAAADMN-7V4K8g0q_adetip1DygEAxMBBaLl1lk_dAn8KkjfXKQAAAgESAAAA
  ```

  </TabItem>
</Tabs>

